-- Test surroundings_highlight_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(27);

set search_path to camper, public;

select has_table('surroundings_highlight_i18n');
select has_pk('surroundings_highlight_i18n');
select col_is_pk('surroundings_highlight_i18n', array['surroundings_highlight_id', 'lang_tag']);
select table_privs_are('surroundings_highlight_i18n', 'guest', array['SELECT']);
select table_privs_are('surroundings_highlight_i18n', 'employee', array['SELECT']);
select table_privs_are('surroundings_highlight_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('surroundings_highlight_i18n', 'authenticator', array[]::text[]);

select has_column('surroundings_highlight_i18n', 'surroundings_highlight_id');
select col_is_fk('surroundings_highlight_i18n', 'surroundings_highlight_id');
select fk_ok('surroundings_highlight_i18n', 'surroundings_highlight_id', 'surroundings_highlight', 'surroundings_highlight_id');
select col_type_is('surroundings_highlight_i18n', 'surroundings_highlight_id', 'integer');
select col_not_null('surroundings_highlight_i18n', 'surroundings_highlight_id');
select col_hasnt_default('surroundings_highlight_i18n', 'surroundings_highlight_id');

select has_column('surroundings_highlight_i18n', 'lang_tag');
select col_is_fk('surroundings_highlight_i18n', 'lang_tag');
select fk_ok('surroundings_highlight_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('surroundings_highlight_i18n', 'lang_tag', 'text');
select col_not_null('surroundings_highlight_i18n', 'lang_tag');
select col_hasnt_default('surroundings_highlight_i18n', 'lang_tag');

select has_column('surroundings_highlight_i18n', 'name');
select col_type_is('surroundings_highlight_i18n', 'name', 'text');
select col_not_null('surroundings_highlight_i18n', 'name');
select col_hasnt_default('surroundings_highlight_i18n', 'name');

select has_column('surroundings_highlight_i18n', 'description');
select col_type_is('surroundings_highlight_i18n', 'description', 'xml');
select col_not_null('surroundings_highlight_i18n', 'description');
select col_hasnt_default('surroundings_highlight_i18n', 'description');


select *
from finish();

rollback;

